Subject: Re: [bug#31520] [PATCH] gnu: u-boot-tools: Enable tests.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 27 May 2018 15:10:05 +0200

Hello Danny!

Danny Milosavljevic <[email-masked]> skribis:

> On Sat, 26 May 2018 20:26:20 +0200
> [email-masked] (Ludovic Courtès) wrote:
>
>> Why is it needed?  That would need a comment.  :-)
>
> dtc has Python bindings and we build them.

But then we do not need a search path definition in dtc itself; the one
in Python is enough.  Or am I missing something?

>>  Even better if we
>> can achieve the same effect without defining this search path.
>
> Sure, I guess.  If you install dtc into your profile it won't work then though.

I think there are two possible situations:

  1. dtc provides Python bindings that are useful to Python
     programmers.  This is addressed by having both Python and dtc in
     the same profile, in which case PYTHONPATH is automatically
     defined.  Nothing special to do.

  2. dtc is itself written in Python and needs to access its own
     Python code.  In that case we should wrap the ‘dtc’ command such
     that PYTHONPATH contains the right thing.

Does that make sense?

> Also, do you think we should try to extract the Python bindings into its own
> package?

Not necessarily, it probably doesn’t take up much space.

>> > +           (add-after 'install 'check
>> > +             (lambda* (#:key make-flags test-target #:allow-other-keys)
>> > +               (apply invoke "make" "mrproper" make-flags)
>> > +               (setenv "SDL_VIDEODRIVER" "dummy")
>> > +               (setenv "PAGER" "cat")
>> > +               (apply invoke "make" test-target make-flags)
>> > +               (symlink "build-sandbox_spl" "sandbox")
>> > +               (invoke "test/image/test-imagetools.sh"))))))  
>> 
>> Please return #t.
>
> invoke does :)

Oh, true, sorry!

Thanks,
Ludo’.